Include "mri2D.inc";
Include "gui-gmsh.pro";

Include "macros.pro";

// Region of body
Lc=0.003*1.5;
LcSmall=Lc/3;



// Body area
xR=0.01;yR=-0.015;zR=0.0;R=Rbody;LcCercle=LcSmall;//Call Cercle;

Include "brain.geo";
BndBody = loopCercle;

Printf("%d",BndBody);


// Region of air
xR=0.0;yR=0.0;zR=0.0;R=Rair;LcCercle=Lc;Call Cercle;
BndAir=loopCercle;
AirLoop={cer1,cer2};
Physical Line(4) = {cer1,cer2};
//xR=0.0;yR=0.0;zR=0.0;R=Rbird;LcCercle=Lc;Call Cercle;
//BndBird=loopCercle;
//LoopBird={cer1,cer2};

// Spin
xR=x0;yR=y0;zR=0.0;R=RM;LcCercle=LcSmall;Call Cercle;
BndDipole=loopCercle;

Rbird2=Rbird;

For itheta In {0:Ntheta-1}
    theta=(itheta)/Ntheta*2*3.14159+deltaTheta;
    xR=Rbird2*Cos(theta);yR=Rbird2*Sin(theta);zR=0.0;R=0.0005;LcCercle=R/5;Call Cercle;
    BndAntenna[itheta]=loopCercle;
    Printf("%g %g ",theta,BndAntenna[itheta]);
    Plane Surface(1000+itheta)={BndAntenna[itheta]};
    Physical Surface(1000+itheta) = {1000+itheta};
EndFor

// Dipole
Plane Surface(1)={BndDipole}; Printf("1");
// Corps - dipole
Plane Surface(2)={BndBody,BndDipole};
// 
Plane Surface(3)={BndAir,BndBody,BndAntenna[]};Printf("3");
//
Physical Surface(1)={1};
Physical Surface(2) = {2};
Physical Surface(3) = {3};

//+
Show "*";
//+
Hide {
Point{2,7};
Surface{1,2,3};
}

